Package csb :: Package io :: Class ShellInfo

[frames] | no frames]

# Class ShellInfo

source code

    object --+
             |
            ShellInfo

Shell command execution info

Instance Methods

__init__(self, code, stdout, stderr, cmd) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, code, stdout, stderr, cmd)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)